# Build configuration

# set to '1' to do a bootstrap build
# thus disabling examples and docs as they needs pkg itself to build
%define bootstrap 0

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%if %bootstrap
%define build_docs 0
%else
%define build_docs 0
%endif
%endif

%if %bootstrap
%bcond_with examples
%else
%bcond_without examples
%endif

# Versioning

%define qtmajor 6
%define qtminor 4
%define qtsubminor 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 4

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtdeclarative-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtquicktest                 %mklibname qt%{qtmajor}quicktest %{qtmajor}
%define libqtquicktest_d               %mklibname qt%{qtmajor}quicktest -d

%define libqtquick                     %mklibname qt%{qtmajor}quick %{qtmajor}
%define libqtquick_d                   %mklibname qt%{qtmajor}quick -d

%define libqtquickshapes               %mklibname qt%{qtmajor}quickshapes %{qtmajor}
%define libqtquickshapes_d             %mklibname qt%{qtmajor}quickshapes -d

%define libqtquickwidgets              %mklibname qt%{qtmajor}quickwidgets %{qtmajor}
%define libqtquickwidgets_d            %mklibname qt%{qtmajor}quickwidgets -d

%define libqtquickparticles            %mklibname qt%{qtmajor}quickparticles %{qtmajor}
%define libqtquickparticles_d          %mklibname qt%{qtmajor}quickparticles -d

%define libqtquicklayouts              %mklibname qt%{qtmajor}quicklayouts %{qtmajor}
%define libqtquicklayouts_d            %mklibname qt%{qtmajor}quicklayouts -d

%define libqtqml                       %mklibname qt%{qtmajor}qml %{qtmajor}
%define libqtqml_d                     %mklibname qt%{qtmajor}qml -d

%define libqtqmllocalstorage           %mklibname qt%{qtmajor}qmllocalstorage %{qtmajor}
%define libqtqmllocalstorage_d         %mklibname qt%{qtmajor}qmllocalstorage -d

%define libqtqmlmodels                 %mklibname qt%{qtmajor}qmlmodels %{qtmajor}
%define libqtqmlmodels_d               %mklibname qt%{qtmajor}qmlmodels -d

%define libqtqmlworkerscript           %mklibname qt%{qtmajor}qmlworkerscript %{qtmajor}
%define libqtqmlworkerscript_d         %mklibname qt%{qtmajor}qmlworkerscript -d

%define libqtlabsanimation             %mklibname qt%{qtmajor}labsanimation %{qtmajor}
%define libqtlabsanimation_d           %mklibname qt%{qtmajor}labsanimation -d

%define libqtlabsfolderlistmodel       %mklibname qt%{qtmajor}labsfolderlistmodel %{qtmajor}
%define libqtlabsfolderlistmodel_d     %mklibname qt%{qtmajor}labsfolderlistmodel -d

%define libqtlabsqmlmodels             %mklibname qt%{qtmajor}labsqmlmodels %{qtmajor}
%define libqtlabsqmlmodels_d           %mklibname qt%{qtmajor}labsqmlmodels -d

%define libqtlabssettings              %mklibname qt%{qtmajor}labssettings %{qtmajor}
%define libqtlabssettings_d            %mklibname qt%{qtmajor}labssettings -d

%define libqtlabssharedimage           %mklibname qt%{qtmajor}labssharedimage %{qtmajor}
%define libqtlabssharedimage_d         %mklibname qt%{qtmajor}labssharedimage -d

%define libqtlabswavefrontmesh         %mklibname qt%{qtmajor}labswavefrontmesh %{qtmajor}
%define libqtlabswavefrontmesh_d       %mklibname qt%{qtmajor}labswavefrontmesh -d

%define libqtpacketprotocol_ds         %mklibname qt%{qtmajor}packetprotocol -d -s

%define libqtqmlcompiler               %mklibname qt%{qtmajor}qmlcompiler %{qtmajor}
%define libqtqmlcompiler_d             %mklibname qt%{qtmajor}qmlcompiler -d

%define libqtquickcontrolstestutils_ds %mklibname qt%{qtmajor}quickcontrolstestutils -d -s

%define libqtquicktestutils_ds         %mklibname qt%{qtmajor}quicktestutils -d -s

%define libqtqmldom_ds                 %mklibname qt%{qtmajor}qmldom -d -s

%define libqtqmlcore	               %mklibname qt%{qtmajor}qmlcore %{qtmajor}
%define libqtqmlcore_d	               %mklibname qt%{qtmajor}qmlcore -d

%define libqtqmlxmllistmodel           %mklibname qt%{qtmajor}qmlxmllistmodel %{qtmajor}
%define libqtqmlxmllistmodel_d         %mklibname qt%{qtmajor}qmlxmllistmodel -d

%define libqtquickcontrols2            %mklibname qt%{qtmajor}quickcontrols2 %{qtmajor}
%define libqtquickcontrols2_d          %mklibname qt%{qtmajor}quickcontrols2 -d

%define libqtquicktemplates2           %mklibname qt%{qtmajor}quicktemplates2 %{qtmajor}
%define libqtquicktemplates2_d         %mklibname qt%{qtmajor}quicktemplates2 -d

%define libqtquickcontrols2impl        %mklibname qt%{qtmajor}quickcontrols2impl %{qtmajor}
%define libqtquickcontrols2impl_d      %mklibname qt%{qtmajor}quickcontrols2impl -d

%define libqtquickdialogs2             %mklibname qt%{qtmajor}quickdialogs2 %{qtmajor}
%define libqtquickdialogs2_d           %mklibname qt%{qtmajor}quickdialogs2 -d

%define libqtquickdialogs2quickimpl    %mklibname qt%{qtmajor}quickdialogs2quickimpl %{qtmajor}
%define libqtquickdialogs2quickimpl_d  %mklibname qt%{qtmajor}quickdialogs2quickimpl -d

%define libqtqmlintegration_d          %mklibname qt%{qtmajor}qmlintegration -d

%define libqtqmllint_d                 %mklibname qt%{qtmajor}qmllint -d

%define libqtquickdialogs2utils        %mklibname qt%{qtmajor}quickdialogs2utils %{qtmajor}
%define libqtquickdialogs2utils_d      %mklibname qt%{qtmajor}quickdialogs2utils -d

Name:           qtdeclarative6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Declarative component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs
## Trunk Patchs

## Patch from Mageia

## Patch from Fedora
Patch0:         qt6-qtdeclarative-gcc11.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  qtbase6-qtpaths >= %{version}
BuildRequires:  cmake(Qt6Core) >= %{version}
BuildRequires:  cmake(Qt6Network) >= %{version}
BuildRequires:  cmake(Qt6Gui) >= %{version}
BuildRequires:  cmake(Qt6Widgets) >= %{version}
BuildRequires:  cmake(Qt6Sql) >= %{version}
BuildRequires:  cmake(Qt6Test) >= %{version}
BuildRequires:  cmake(Qt6Xml) >= %{version}
BuildRequires:  cmake(Qt6ShaderTools) >= %{version}
BuildRequires:  cmake(Qt6LanguageServerPrivate)
%if %{with examples}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6QuickTest) >= %{version}
BuildRequires:  cmake(Qt6QuickWidgets) >= %{version}
BuildRequires:  cmake(Qt6QuickControls2) >= %{version}
%endif

Provides:       qt%{qtmajor}-qtdeclarative = %{version}-%{release}

%description
Qt%{qtmajor} Declarative component.

%files
%{_qt6_bindir}/qml
%{_qt6_bindir}/qmlformat
%{_qt6_bindir}/qmlplugindump
%{_qt6_bindir}/qmlpreview
%{_qt6_bindir}/qmlprofiler
%{_qt6_bindir}/qmlscene
%{_qt6_bindir}/qmltestrunner
%{_qt6_bindir}/qmltime
%{_qt6_bindir}/qmleasing
%{_qt6_bindir}/qmllint
%{_qt6_bindir}/qmlls
%{_qt6_bindir}/qmldom
%{_qt6_bindir}/qmltc
%{_qt6_libexecdir}/qmlcachegen
%{_qt6_libexecdir}/qmlimportscanner
%{_qt6_libexecdir}/qmltyperegistrar
%dir %{_qt6_plugindir}/qmllint
%{_qt6_plugindir}/qmllint/libquicklintplugin.so
%dir %{_qt6_plugindir}/qmltooling
%{_qt6_plugindir}/qmltooling/libqmldbg_tcp.so
%{_qt6_plugindir}/qmltooling/libqmldbg_debugger.so
%{_qt6_plugindir}/qmltooling/libqmldbg_inspector.so
%{_qt6_plugindir}/qmltooling/libqmldbg_local.so
%{_qt6_plugindir}/qmltooling/libqmldbg_native.so
%{_qt6_plugindir}/qmltooling/libqmldbg_preview.so
%{_qt6_plugindir}/qmltooling/libqmldbg_profiler.so
%{_qt6_plugindir}/qmltooling/libqmldbg_server.so
%{_qt6_plugindir}/qmltooling/libqmldbg_messages.so
%{_qt6_plugindir}/qmltooling/libqmldbg_nativedebugger.so
%{_qt6_plugindir}/qmltooling/libqmldbg_quickprofiler.so
%{_qt6_archdatadir}/qml/Qt/labs/animation
%{_qt6_archdatadir}/qml/Qt/labs/folderlistmodel
%{_qt6_archdatadir}/qml/Qt/labs/qmlmodels
%{_qt6_archdatadir}/qml/Qt/labs/settings
%{_qt6_archdatadir}/qml/Qt/labs/sharedimage
%{_qt6_archdatadir}/qml/Qt/labs/wavefrontmesh
%{_qt6_archdatadir}/qml/QtQml
%{_qt6_archdatadir}/qml/QtQuick*
%{_qt6_archdatadir}/qml/QtTest
%{_qt6_archdatadir}/qml/builtins.qmltypes
%{_qt6_archdatadir}/qml/Qt/labs/platform/
%{_qt6_archdatadir}/qml/Qt/test/controls/
%{_qt6_archdatadir}/qml/QtCore/
%{_qt6_archdatadir}/qml/jsroot.qmltypes

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtDeclarative%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtDeclarative%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtqml.qch
%{_qt6_docdir}/qtqml/
%{_qt6_docdir}/qtquick.qch
%{_qt6_docdir}/qtquick/
%{_qt6_docdir}/qtqmltest.qch
%{_qt6_docdir}/qtqmltest/
%{_qt6_docdir}/qtqmlmodels.qch
%{_qt6_docdir}/qtqmlmodels/
%{_qt6_docdir}/qtqmlworkerscript.qch
%{_qt6_docdir}/qtqmlworkerscript/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtquicktest}
Summary:        Qt%{qtmajor} Quick Test Library
Group:          System/Libraries

%description -n %{libqtquicktest}
Qt%{qtmajor} Quick Test Component Library.

%files -n %{libqtquicktest}
%{_qt6_libdir}/libQt6QuickTest.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquicktest_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{libqtquicktest} = %{version}-%{release}
Requires:       %{name} = %{version}
Provides:       libqt6quicktest-devel = %{version}-%{release}
Provides:       libqtquicktest6-devel = %{version}-%{release}
Provides:       qt6quicktest-devel = %{version}-%{release}
Provides:       qtquicktest6-devel = %{version}-%{release}

Provides:       libqt6quicktest-private-devel = %{version}-%{release}
Provides:       libqtquicktest6-private-devel = %{version}-%{release}
Provides:       qt6quicktest-private-devel = %{version}-%{release}
Provides:       qtquicktest6-private-devel = %{version}-%{release}

%description -n %{libqtquicktest_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqtquicktest_d}
%{_qt6_libdir}/libQt6QuickTest.prl
%{_qt6_libdir}/libQt6QuickTest.so
%{_qt6_libdir}/cmake/Qt6QuickTest/
%{_qt6_libdir}/metatypes/qt6quicktest_*_metatypes.json
%{_qt6_includedir}/QtQuickTest/
%{_qt6_datadir}/modules/QuickTest.json
%{_qt6_libdir}/pkgconfig/Qt6QuickTest.pc

#------------------------------------------------------------------------------

%package -n %{libqtquick}
Summary:        Qt%{qtmajor} Quick Library
Group:          System/Libraries

%description -n %{libqtquick}
Qt%{qtmajor} Quick Component Library.

%files -n %{libqtquick}
%{_qt6_libdir}/libQt6Quick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquick_d}
Summary:        Devel files needed to build apps based on QtQuick
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquick} = %{version}-%{release}
Provides:       libqt6quick-devel = %{version}-%{release}
Provides:       libqtquick6-devel = %{version}-%{release}
Provides:       qt6quick-devel = %{version}-%{release}
Provides:       qtquick6-devel = %{version}-%{release}

Provides:       libqt6quick-private-devel = %{version}-%{release}
Provides:       libqtquick6-private-devel = %{version}-%{release}
Provides:       qt6quick-private-devel = %{version}-%{release}
Provides:       qtquick6-private-devel = %{version}-%{release}

%description -n %{libqtquick_d}
Devel files needed to build apps based on QtQuick.

%files -n %{libqtquick_d}
%{_qt6_libdir}/libQt6Quick.prl
%{_qt6_libdir}/libQt6Quick.so
%{_qt6_libdir}/cmake/Qt6Quick/
%{_qt6_libdir}/metatypes/qt6quick_*_metatypes.json
%{_qt6_includedir}/QtQuick/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quick.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quick_private.pri
%{_qt6_datadir}/modules/Quick.json
%if %{with examples}
%_qt6_examplesdir/quick/
%endif
%{_qt6_libdir}/pkgconfig/Qt6Quick.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickwidgets}
Summary:        Qt%{qtmajor} Quick Widgets Library
Group:          System/Libraries

%description -n %{libqtquickwidgets}
Qt%{qtmajor} Quick Widgets Component Library.

%files -n %{libqtquickwidgets}
%{_qt6_libdir}/libQt6QuickWidgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickwidgets_d}
Summary:        Devel files needed to build apps based on QtQuickWidgets
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickwidgets} = %{version}-%{release}
Provides:       libqt6quickwidgets-devel = %{version}-%{release}
Provides:       libqtquickwidgets6-devel = %{version}-%{release}
Provides:       qt6quickwidgets-devel = %{version}-%{release}
Provides:       qtquickwidgets6-devel = %{version}-%{release}

Provides:       libqt6quickwidgets-private-devel = %{version}-%{release}
Provides:       libqtquickwidgets6-private-devel = %{version}-%{release}
Provides:       qt6quickwidgets-private-devel = %{version}-%{release}
Provides:       qtquickwidgets6-private-devel = %{version}-%{release}

%description -n %{libqtquickwidgets_d}
Devel files needed to build apps based on QtQuickWidgets.

%files -n %{libqtquickwidgets_d}
%{_qt6_libdir}/libQt6QuickWidgets.prl
%{_qt6_libdir}/libQt6QuickWidgets.so
%{_qt6_libdir}/cmake/Qt6QuickWidgets/
%{_qt6_includedir}/QtQuickWidgets/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickwidgets.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickwidgets_private.pri
%{_qt6_datadir}/modules/QuickWidgets.json
%{_qt6_libdir}/metatypes/qt6quickwidgets_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QuickWidgets.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickshapes}
Summary:        Qt%{qtmajor} Quick Shapes Library
Group:          System/Libraries

%description -n %{libqtquickshapes}
Qt%{qtmajor} Quick Shapes Component Library.

%files -n %{libqtquickshapes}
%{_qt6_libdir}/libQt6QuickShapes.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickshapes_d}
Summary:        Devel files needed to build apps based on QtQuickShapes
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickshapes} = %{version}-%{release}
Provides:       libqt6quickshapes-devel = %{version}-%{release}
Provides:       libqtquickshapes6-devel = %{version}-%{release}
Provides:       qt6quickshapes-devel = %{version}-%{release}
Provides:       qtquickshapes6-devel = %{version}-%{release}

Provides:       libqt6quickshapes-private-devel = %{version}-%{release}
Provides:       libqtquickshapes6-private-devel = %{version}-%{release}
Provides:       qt6quickshapes-private-devel = %{version}-%{release}
Provides:       qtquickshapes65-private-devel = %{version}-%{release}

%description -n %{libqtquickshapes_d}
Devel files needed to build apps based on QtQuickShapes.

%files -n %{libqtquickshapes_d}
%{_qt6_libdir}/libQt6QuickShapes.prl
%{_qt6_libdir}/libQt6QuickShapes.so
%{_qt6_includedir}/QtQuickShapes/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickshapes_private.pri
%{_qt6_libdir}/cmake/Qt6QuickShapesPrivate/
%{_qt6_datadir}/modules/QuickShapesPrivate.json
%{_qt6_libdir}/metatypes/qt6quickshapesprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtquickparticles}
Summary:        Qt%{qtmajor} Quick Particles Library
Group:          System/Libraries

%description -n %{libqtquickparticles}
Qt%{qtmajor} Quick Particles Component Library.

%files -n %{libqtquickparticles}
%{_qt6_libdir}/libQt6QuickParticles.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickparticles_d}
Summary:        Devel files needed to build apps based on QtQuickParticles
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickparticles} = %{version}-%{release}
Provides:       libqt6quickparticles-devel = %{version}-%{release}
Provides:       libqtquickparticles6-devel = %{version}-%{release}
Provides:       qt6quickparticles-devel = %{version}-%{release}
Provides:       qtquickparticles6-devel = %{version}-%{release}

Provides:       libqt6quickparticles-private-devel = %{version}-%{release}
Provides:       libqtquickparticles6-private-devel = %{version}-%{release}
Provides:       qt6quickparticles-private-devel = %{version}-%{release}
Provides:       qtquickparticles6-private-devel = %{version}-%{release}

%description -n %{libqtquickparticles_d}
Devel files needed to build apps based on QtQuickParticles.

%files -n %{libqtquickparticles_d}
%{_qt6_libdir}/libQt6QuickParticles.prl
%{_qt6_libdir}/libQt6QuickParticles.so
%{_qt6_libdir}/cmake/Qt6QuickParticlesPrivate/
%{_qt6_includedir}/QtQuickParticles/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickparticles_private.pri
%{_qt6_datadir}/modules/QuickParticlesPrivate.json
%{_qt6_libdir}/metatypes/qt6quickparticlesprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtquicklayouts}
Summary:        Qt%{qtmajor} Quick Layouts Library
Group:          System/Libraries

%description -n %{libqtquicklayouts}
Qt%{qtmajor} Quick Layouts Component Library.

%files -n %{libqtquicklayouts}
%{_qt6_libdir}/libQt6QuickLayouts.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquicklayouts_d}
Summary:        Devel files needed to build apps based on QtQuickLayouts
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquicklayouts} = %{version}-%{release}
Provides:       libqt6quicklayouts-devel = %{version}-%{release}
Provides:       libqtquicklayouts6-devel = %{version}-%{release}
Provides:       qt6quicklayouts-devel = %{version}-%{release}
Provides:       qtquicklayouts6-devel = %{version}-%{release}

Provides:       libqt6quicklayouts-private-devel = %{version}-%{release}
Provides:       libqtquicklayouts6-private-devel = %{version}-%{release}
Provides:       qt6quicklayouts-private-devel = %{version}-%{release}
Provides:       qtquicklayouts6-private-devel = %{version}-%{release}

%description -n %{libqtquicklayouts_d}
Devel files needed to build apps based on QtQuickLayouts.

%files -n %{libqtquicklayouts_d}
%{_qt6_libdir}/libQt6QuickLayouts.prl
%{_qt6_libdir}/libQt6QuickLayouts.so
%{_qt6_libdir}/cmake/Qt6QuickLayouts/
%{_qt6_libdir}/metatypes/qt6quicklayouts_*_metatypes.json
%{_qt6_includedir}/QtQuickLayouts/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicklayouts.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicklayouts_private.pri
%{_qt6_datadir}/modules/QuickLayouts.json
%{_qt6_libdir}/pkgconfig/Qt6QuickLayouts.pc

#------------------------------------------------------------------------------

%package -n %{libqtqml}
Summary:        Qt%{qtmajor} Qml Library
Group:          System/Libraries

%description -n %{libqtqml}
Qt%{qtmajor} Qml Component Library.

%files -n %{libqtqml}
%{_qt6_libdir}/libQt6Qml.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqml_d}
Summary:        Devel files needed to build apps based on QtDeclarative
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqml} = %{version}-%{release}
Requires:       %{libqtqmlintegration_d} = %{version}-%{release}
Provides:       libqt6qml-devel = %{version}-%{release}
Provides:       libqtqml6-devel = %{version}-%{release}
Provides:       qt6qml-devel = %{version}-%{release}
Provides:       qtqml6-devel = %{version}-%{release}

Provides:       libqt6qml-private-devel = %{version}-%{release}
Provides:       libqtqml6-private-devel = %{version}-%{release}
Provides:       qt6qml-private-devel = %{version}-%{release}
Provides:       qtqml6-private-devel = %{version}-%{release}

%description -n %{libqtqml_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqtqml_d}
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtDeclarativeTestsConfig.cmake
# Qml
%{_qt6_libdir}/libQt6Qml.prl
%{_qt6_libdir}/libQt6Qml.so
%{_qt6_libdir}/cmake/Qt6Qml/
%{_qt6_libdir}/metatypes/qt6qml_*_metatypes.json
%{_qt6_includedir}/QtQml/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qml.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qml_private.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmltest.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmltest_private.pri
%{_qt6_archdatadir}/mkspecs/features/qmlcache.prf
%{_qt6_archdatadir}/mkspecs/features/qmltypes.prf
%{_qt6_datadir}/modules/Qml.json
%if %{with examples}
%_qt6_examplesdir/qml/
%_qt6_examplesdir/qmltest/qmltest/tst_qmltestexample
%endif
# QmlDevTools
# QmlDebug
%{_qt6_libdir}/libQt6QmlDebug.prl
%{_qt6_libdir}/libQt6QmlDebug.a
%{_qt6_libdir}/cmake/Qt6QmlDebugPrivate/
%{_qt6_includedir}/QtQmlDebug/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmldebug_private.pri
%{_qt6_datadir}/modules/QmlDebugPrivate.json
%{_qt6_libdir}/metatypes/qt6qmldebugprivate_relwithdebinfo_metatypes.json
#
# FIXME in good package???
%{_qt6_libdir}/cmake/Qt6QmlTools/
%{_qt6_libdir}/cmake/Qt6QmlImportScanner/
%{_qt6_archdatadir}/mkspecs/features/qtquickcompiler.prf
%{_qt6_libdir}/pkgconfig/Qt6Qml.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmllocalstorage}
Summary:        Qt%{qtmajor} Qml Local Storage Library
Group:          System/Libraries

%description -n %{libqtqmllocalstorage}
Qt%{qtmajor} Qml Local Storage Component Library.

%files -n %{libqtqmllocalstorage}
%{_qt6_libdir}/libQt6QmlLocalStorage.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmllocalstorage_d}
Summary:        Devel files needed to build apps based on QtQmlLocalStorage
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmllocalstorage} = %{version}-%{release}
Provides:       libqt6qmllocalstorage-devel = %{version}-%{release}
Provides:       libqtqmllocalstorage6-devel = %{version}-%{release}
Provides:       qt6qmllocalstorage-devel = %{version}-%{release}
Provides:       qtqmllocalstorage6-devel = %{version}-%{release}

Provides:       libqt6qmllocalstorage-private-devel = %{version}-%{release}
Provides:       libqtqmllocalstorage6-private-devel = %{version}-%{release}
Provides:       qt6qmllocalstorage-private-devel = %{version}-%{release}
Provides:       qtqmllocalstorage6-private-devel = %{version}-%{release}

%description -n %{libqtqmllocalstorage_d}
Devel files needed to build apps based on QtQmlLocalStorage.

%files -n %{libqtqmllocalstorage_d}
%{_qt6_libdir}/libQt6QmlLocalStorage.prl
%{_qt6_libdir}/libQt6QmlLocalStorage.so
%{_qt6_libdir}/cmake/Qt6QmlLocalStorage/
%{_qt6_libdir}/metatypes/qt6qmllocalstorage_*_metatypes.json
%{_qt6_includedir}/QtQmlLocalStorage/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmllocalstorage.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmllocalstorage_private.pri
%{_qt6_datadir}/modules/QmlLocalStorage.json
%{_qt6_libdir}/pkgconfig/Qt6QmlLocalStorage.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlmodels}
Summary:        Qt%{qtmajor} Qml Models Library
Group:          System/Libraries

%description -n %{libqtqmlmodels}
Qt%{qtmajor} Qml Models Component Library.

%files -n %{libqtqmlmodels}
%{_qt6_libdir}/libQt6QmlModels.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlmodels_d}
Summary:        Devel files needed to build apps based on QtQmlModels
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlmodels} = %{version}-%{release}
Provides:       libqt6qmlmodels-devel = %{version}-%{release}
Provides:       libqtqmlmodels6-devel = %{version}-%{release}
Provides:       qt6qmlmodels-devel = %{version}-%{release}
Provides:       qtqmlmodels6-devel = %{version}-%{release}

Provides:       libqt6qmlmodels-private-devel = %{version}-%{release}
Provides:       libqtqmlmodels6-private-devel = %{version}-%{release}
Provides:       qt6qmlmodels-private-devel = %{version}-%{release}
Provides:       qtqmlmodels6-private-devel = %{version}-%{release}

%description -n %{libqtqmlmodels_d}
Devel files needed to build apps based on QtQmlModels.

%files -n %{libqtqmlmodels_d}
%{_qt6_libdir}/libQt6QmlModels.prl
%{_qt6_libdir}/libQt6QmlModels.so
%{_qt6_libdir}/cmake/Qt6QmlModels/
%{_qt6_libdir}/metatypes/qt6qmlmodels_*_metatypes.json
%{_qt6_includedir}/QtQmlModels/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlmodels.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlmodels_private.pri
%{_qt6_datadir}/modules/QmlModels.json
%{_qt6_libdir}/pkgconfig/Qt6QmlModels.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlworkerscript}
Summary:        Qt%{qtmajor} Qml Worker Script Library
Group:          System/Libraries

%description -n %{libqtqmlworkerscript}
Qt%{qtmajor} Qml Worker Script Component Library.

%files -n %{libqtqmlworkerscript}
%{_qt6_libdir}/libQt6QmlWorkerScript.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlworkerscript_d}
Summary:        Devel files needed to build apps based on QtQmlWorkerScript
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlworkerscript} = %{version}-%{release}
Provides:       libqt6qmlworkerscript-devel = %{version}-%{release}
Provides:       libqtqmlworkerscript6-devel = %{version}-%{release}
Provides:       qt6qmlworkerscript-devel = %{version}-%{release}
Provides:       qtqmlworkerscript6-devel = %{version}-%{release}

Provides:       libqt6qmlworkerscript-private-devel = %{version}-%{release}
Provides:       libqtqmlworkerscript6-private-devel = %{version}-%{release}
Provides:       qt6qmlworkerscript-private-devel = %{version}-%{release}
Provides:       qtqmlworkerscript6-private-devel = %{version}-%{release}

%description -n %{libqtqmlworkerscript_d}
Devel files needed to build apps based on QtQmlWorkerScript.

%files -n %{libqtqmlworkerscript_d}
%{_qt6_libdir}/libQt6QmlWorkerScript.prl
%{_qt6_libdir}/libQt6QmlWorkerScript.so
%{_qt6_libdir}/cmake/Qt6QmlWorkerScript/
%{_qt6_libdir}/metatypes/qt6qmlworkerscript_*_metatypes.json
%{_qt6_includedir}/QtQmlWorkerScript/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlworkerscript.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlworkerscript_private.pri
%{_qt6_datadir}/modules/QmlWorkerScript.json
%{_qt6_libdir}/pkgconfig/Qt6QmlWorkerScript.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabsanimation}
Summary:        Qt%{qtmajor} Labs Animation Library
Group:          System/Libraries

%description -n %{libqtlabsanimation}
Qt%{qtmajor} Labs Animation Component Library.

%files -n %{libqtlabsanimation}
%{_qt6_libdir}/libQt6LabsAnimation.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabsanimation_d}
Summary:        Devel files needed to build apps based on QtLabsAnimation
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabsanimation} = %{version}-%{release}
Provides:       libqt6labsanimation-devel = %{version}-%{release}
Provides:       libqtlabsanimation6-devel = %{version}-%{release}
Provides:       qt6labsanimation-devel = %{version}-%{release}
Provides:       qtlabsanimation6-devel = %{version}-%{release}

Provides:       libqt6labsanimation-private-devel = %{version}-%{release}
Provides:       libqtlabsanimation6-private-devel = %{version}-%{release}
Provides:       qt6labsanimation-private-devel = %{version}-%{release}
Provides:       qtlabsanimation6-private-devel = %{version}-%{release}

%description -n %{libqtlabsanimation_d}
Devel files needed to build apps based on QtLabsAnimation.

%files -n %{libqtlabsanimation_d}
%{_qt6_libdir}/libQt6LabsAnimation.prl
%{_qt6_libdir}/libQt6LabsAnimation.so
%{_qt6_libdir}/cmake/Qt6LabsAnimation/
%{_qt6_libdir}/metatypes/qt6labsanimation_*_metatypes.json
%{_qt6_includedir}/QtLabsAnimation/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsanimation.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsanimation_private.pri
%{_qt6_datadir}/modules/LabsAnimation.json
%{_qt6_libdir}/pkgconfig/Qt6LabsAnimation.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabsfolderlistmodel}
Summary:        Qt%{qtmajor} Labs Folder List Model Library
Group:          System/Libraries

%description -n %{libqtlabsfolderlistmodel}
Qt%{qtmajor} Labs Folder List Model Component Library.

%files -n %{libqtlabsfolderlistmodel}
%{_qt6_libdir}/libQt6LabsFolderListModel.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabsfolderlistmodel_d}
Summary:        Devel files needed to build apps based on QtLabsFolderListModel
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabsfolderlistmodel} = %{version}-%{release}
Provides:       libqt6labsfolderlistmodel-devel = %{version}-%{release}
Provides:       libqtlabsfolderlistmodel6-devel = %{version}-%{release}
Provides:       qt6labsfolderlistmodel-devel = %{version}-%{release}
Provides:       qtlabsfolderlistmodel6-devel = %{version}-%{release}

Provides:       libqt6labsfolderlistmodel-private-devel = %{version}-%{release}
Provides:       libqtlabsfolderlistmodel6-private-devel = %{version}-%{release}
Provides:       qt6labsfolderlistmodel-private-devel = %{version}-%{release}
Provides:       qtlabsfolderlistmodel6-private-devel = %{version}-%{release}

%description -n %{libqtlabsfolderlistmodel_d}
Devel files needed to build apps based on QtLabsFolderListModel.

%files -n %{libqtlabsfolderlistmodel_d}
%{_qt6_libdir}/libQt6LabsFolderListModel.prl
%{_qt6_libdir}/libQt6LabsFolderListModel.so
%{_qt6_libdir}/cmake/Qt6LabsFolderListModel/
%{_qt6_libdir}/metatypes/qt6labsfolderlistmodel_*_metatypes.json
%{_qt6_includedir}/QtLabsFolderListModel/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsfolderlistmodel.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsfolderlistmodel_private.pri
%{_qt6_datadir}/modules/LabsFolderListModel.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlxmllistmodel.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlxmllistmodel_private.pri
%{_qt6_libdir}/metatypes/qt6qmlxmllistmodel_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6LabsFolderListModel.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabsqmlmodels}
Summary:        Qt%{qtmajor} Labs Qml Models Library
Group:          System/Libraries

%description -n %{libqtlabsqmlmodels}
Qt%{qtmajor} Labs Qml Models Component Library.

%files -n %{libqtlabsqmlmodels}
%{_qt6_libdir}/libQt6LabsQmlModels.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabsqmlmodels_d}
Summary:        Devel files needed to build apps based on QtLabsQmlModels
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabsqmlmodels} = %{version}-%{release}
Provides:       libqt6labsqmlmodels-devel = %{version}-%{release}
Provides:       libqtlabsqmlmodels6-devel = %{version}-%{release}
Provides:       qt6labsqmlmodels-devel = %{version}-%{release}
Provides:       qtlabsqmlmodels6-devel = %{version}-%{release}

Provides:       libqt6labsqmlmodels-private-devel = %{version}-%{release}
Provides:       libqtlabsqmlmodels6-private-devel = %{version}-%{release}
Provides:       qt6labsqmlmodels-private-devel = %{version}-%{release}
Provides:       qtlabsqmlmodels6-private-devel = %{version}-%{release}

%description -n %{libqtlabsqmlmodels_d}
Devel files needed to build apps based on QtLabsQmlModels.

%files -n %{libqtlabsqmlmodels_d}
%{_qt6_libdir}/libQt6LabsQmlModels.prl
%{_qt6_libdir}/libQt6LabsQmlModels.so
%{_qt6_libdir}/cmake/Qt6LabsQmlModels/
%{_qt6_libdir}/metatypes/qt6labsqmlmodels_*_metatypes.json
%{_qt6_includedir}/QtLabsQmlModels/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsqmlmodels.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labsqmlmodels_private.pri
%{_qt6_datadir}/modules/LabsQmlModels.json
%{_qt6_libdir}/pkgconfig/Qt6LabsQmlModels.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabssettings}
Summary:        Qt%{qtmajor} Labs Settings Library
Group:          System/Libraries

%description -n %{libqtlabssettings}
Qt%{qtmajor} Labs Settings Component Library.

%files -n %{libqtlabssettings}
%{_qt6_libdir}/libQt6LabsSettings.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabssettings_d}
Summary:        Devel files needed to build apps based on QtLabsSettings
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabssettings} = %{version}-%{release}
Provides:       libqt6labssettings-devel = %{version}-%{release}
Provides:       libqtlabssettings6-devel = %{version}-%{release}
Provides:       qt6labssettings-devel = %{version}-%{release}
Provides:       qtlabssettings6-devel = %{version}-%{release}

Provides:       libqt6labssettings-private-devel = %{version}-%{release}
Provides:       libqtlabssettings6-private-devel = %{version}-%{release}
Provides:       qt6labssettings-private-devel = %{version}-%{release}
Provides:       qtlabssettings6-private-devel = %{version}-%{release}

%description -n %{libqtlabssettings_d}
Devel files needed to build apps based on QtLabsSettings.

%files -n %{libqtlabssettings_d}
%{_qt6_libdir}/libQt6LabsSettings.prl
%{_qt6_libdir}/libQt6LabsSettings.so
%{_qt6_libdir}/cmake/Qt6LabsSettings/
%{_qt6_libdir}/metatypes/qt6labssettings_*_metatypes.json
%{_qt6_includedir}/QtLabsSettings/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labssettings.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labssettings_private.pri
%{_qt6_datadir}/modules/LabsSettings.json
%{_qt6_libdir}/pkgconfig/Qt6LabsSettings.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabssharedimage}
Summary:        Qt%{qtmajor} Labs Shared Image Library
Group:          System/Libraries

%description -n %{libqtlabssharedimage}
Qt%{qtmajor} Labs Shared Image Component Library.

%files -n %{libqtlabssharedimage}
%{_qt6_libdir}/libQt6LabsSharedImage.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtlabssharedimage_d}
Summary:        Devel files needed to build apps based on QtLabsSharedImage
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabssharedimage} = %{version}-%{release}
Provides:       libqt6labssharedimage-devel = %{version}-%{release}
Provides:       libqtlabssharedimage6-devel = %{version}-%{release}
Provides:       qt6labssharedimage-devel = %{version}-%{release}
Provides:       qtlabssharedimage6-devel = %{version}-%{release}

Provides:       libqt6labssharedimage-private-devel = %{version}-%{release}
Provides:       libqtlabssharedimage6-private-devel = %{version}-%{release}
Provides:       qt6labssharedimage-private-devel = %{version}-%{release}
Provides:       qtlabssharedimage6-private-devel = %{version}-%{release}

%description -n %{libqtlabssharedimage_d}
Devel files needed to build apps based on QtLabsSharedImage.

%files -n %{libqtlabssharedimage_d}
%{_qt6_libdir}/libQt6LabsSharedImage.prl
%{_qt6_libdir}/libQt6LabsSharedImage.so
%{_qt6_libdir}/cmake/Qt6LabsSharedImage/
%{_qt6_libdir}/metatypes/qt6labssharedimage_*_metatypes.json
%{_qt6_includedir}/QtLabsSharedImage/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labssharedimage.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labssharedimage_private.pri
%{_qt6_datadir}/modules/LabsSharedImage.json
%{_qt6_libdir}/pkgconfig/Qt6LabsSharedImage.pc

#------------------------------------------------------------------------------

%package -n %{libqtlabswavefrontmesh}
Summary:        Qt%{qtmajor} Labs Wavefront Mesh Library
Group:          System/Libraries

%description -n %{libqtlabswavefrontmesh}
Qt%{qtmajor} Labs Wavefront Mesh Component Library.

%files -n %{libqtlabswavefrontmesh}
%{_qt6_libdir}/libQt6LabsWavefrontMesh.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlcore}
Summary:        Qt%{qtmajor} QmlCore Library
Group:          System/Libraries

%description -n %{libqtqmlcore}
Qt%{qtmajor} QmlCore Component Library.

%files -n %{libqtqmlcore}
%{_qt6_libdir}/libQt6QmlCore.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlcompiler}
Summary:        Qt%{qtmajor} QmlCompiler Library
Group:          System/Libraries

%description -n %{libqtqmlcompiler}
Qt%{qtmajor} QmlCompiler Component Library.

%files -n %{libqtqmlcompiler}
%{_qt6_libdir}/libQt6QmlCompiler.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlxmllistmodel}
Summary:        Qt%{qtmajor} Qml Xml List Model Library
Group:          System/Libraries

%description -n %{libqtqmlxmllistmodel}
Qt%{qtmajor} Qml Xml List Model Component Library.

%files -n %{libqtqmlxmllistmodel}
%{_qt6_libdir}/libQt6QmlXmlListModel.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtqmlxmllistmodel_d}
Summary:        Devel files needed to build apps based on QtQmlXmlListModel
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlxmllistmodel} = %{version}-%{release}
Provides:       libqt6qmlxmllistmodel-devel = %{version}-%{release}
Provides:       libqtqmlxmllistmodel6-devel = %{version}-%{release}
Provides:       qt6qmlxmllistmodel-devel = %{version}-%{release}
Provides:       qtqmlxmllistmodel6-devel = %{version}-%{release}

Provides:       libqt6qmlxmllistmodel-private-devel = %{version}-%{release}
Provides:       libqtqmlxmllistmodel6-private-devel = %{version}-%{release}
Provides:       qt6qmlxmllistmodel-private-devel = %{version}-%{release}
Provides:       qtqmlxmllistmodel6-private-devel = %{version}-%{release}

%description -n %{libqtqmlxmllistmodel_d}
Devel files needed to build apps based on Qt Qml Xml List Model.

%files -n %{libqtqmlxmllistmodel_d}
%{_qt6_includedir}/QtQmlXmlListModel/
%{_qt6_libdir}/cmake/Qt6QmlXmlListModel
%{_qt6_libdir}/libQt6QmlXmlListModel.prl
%{_qt6_libdir}/libQt6QmlXmlListModel.so
%{_qt6_datadir}/modules/QmlXmlListModel.json
%{_qt6_libdir}/pkgconfig/Qt6QmlXmlListModel.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2}
Summary:        Qt%{qtmajor} QuickControls2 Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2}
Qt%{qtmajor} QuickControls2 Component Library.

%files -n %{libqtquickcontrols2}
%{_qt6_libdir}/libQt6QuickControls2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2_d}
Summary:        Devel files needed to build apps based on QtQuickControls2
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2} = %{version}-%{release}
Provides:       libqt6quickcontrols2-devel = %{version}-%{release}
Provides:       libqtquickcontrols26-devel = %{version}-%{release}
Provides:       qt6quickcontrols2-devel = %{version}-%{release}
Provides:       qtquickcontrols26-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols26-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2-private-devel = %{version}-%{release}
Provides:       qtquickcontrols26-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2_d}
Devel files needed to build apps based on QtQuickControls2.

%files -n %{libqtquickcontrols2_d}
%{_qt6_libdir}/libQt6QuickControls2.prl
%{_qt6_libdir}/libQt6QuickControls2.so
%{_qt6_includedir}/QtQuickControls2/
%{_qt6_libdir}/cmake/Qt6QuickControls2/
%{_qt6_datadir}/modules/QuickControls2.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2_private.pri
%{_qt6_libdir}/metatypes/qt6quickcontrols2_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2.pc

#(nl) Should be moved to an extra example package ?
%if %{with examples}
%_qt6_examplesdir/quickcontrols2/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtlabswavefrontmesh_d}
Summary:        Devel files needed to build apps based on QtLabsWavefrontMesh
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtlabswavefrontmesh} = %{version}-%{release}
Provides:       libqt6labswavefrontmesh-devel = %{version}-%{release}
Provides:       libqtlabswavefrontmesh6-devel = %{version}-%{release}
Provides:       qt6labswavefrontmesh-devel = %{version}-%{release}
Provides:       qtlabswavefrontmesh6-devel = %{version}-%{release}

Provides:       libqt6labswavefrontmesh-private-devel = %{version}-%{release}
Provides:       libqtlabswavefrontmesh6-private-devel = %{version}-%{release}
Provides:       qt6labswavefrontmesh-private-devel = %{version}-%{release}
Provides:       qtlabswavefrontmesh6-private-devel = %{version}-%{release}

%description -n %{libqtlabswavefrontmesh_d}
Devel files needed to build apps based on QtLabsWavefrontMesh.

%files -n %{libqtlabswavefrontmesh_d}
%{_qt6_libdir}/libQt6LabsWavefrontMesh.prl
%{_qt6_libdir}/libQt6LabsWavefrontMesh.so
%{_qt6_libdir}/cmake/Qt6LabsWavefrontMesh/
%{_qt6_libdir}/metatypes/qt6labswavefrontmesh_*_metatypes.json
%{_qt6_includedir}/QtLabsWavefrontMesh/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labswavefrontmesh.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_labswavefrontmesh_private.pri
%{_qt6_datadir}/modules/LabsWavefrontMesh.json
%{_qt6_libdir}/pkgconfig/Qt6LabsWavefrontMesh.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlcore_d}
Summary:        Devel files needed to build apps based on QtQmlCore
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlcore} = %{version}-%{release}
Provides:       libqt6qmlcore-devel = %{version}-%{release}
Provides:       libqtqmlcore6-devel = %{version}-%{release}
Provides:       qt6qmlcore-devel = %{version}-%{release}
Provides:       qtqmlcore6-devel = %{version}-%{release}

Provides:       libqt6qmlcore-private-devel = %{version}-%{release}
Provides:       libqtqmlcore6-private-devel = %{version}-%{release}
Provides:       qt6qmlcore-private-devel = %{version}-%{release}
Provides:       qtqmlcore6-private-devel = %{version}-%{release}

%description -n %{libqtqmlcore_d}
Devel files needed to build apps based on QtQmlCore.

%files -n %{libqtqmlcore_d}
%{_qt6_libdir}/libQt6QmlCore.prl
%{_qt6_libdir}/libQt6QmlCore.so
%{_qt6_libdir}/cmake/Qt6QmlCore/
%{_qt6_includedir}/QtQmlCore/
%{_qt6_datadir}/modules/QmlCore.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlcore.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlcore_private.pri
%{_qt6_libdir}/metatypes/qt6qmlcore_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QmlCore.pc

#------------------------------------------------------------------------------
# SUPPORT STATIC LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtpacketprotocol_ds}
Summary:        Devel files needed to build apps based on QtPacketProtocol
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6packetprotocol-static-devel = %{version}-%{release}
Provides:       libqtpacketprotocol6-static-devel = %{version}-%{release}
Provides:       qt6packetprotocol-static-devel = %{version}-%{release}
Provides:       qtpacketprotocol6-static-devel = %{version}-%{release}

%description -n %{libqtpacketprotocol_ds}
Devel files needed to build apps based on QtPacketProtocol.

%files -n %{libqtpacketprotocol_ds}
%{_qt6_libdir}/libQt6PacketProtocol.prl
%{_qt6_libdir}/libQt6PacketProtocol.a
%{_qt6_libdir}/cmake/Qt6PacketProtocolPrivate/
%{_qt6_includedir}/QtPacketProtocol/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_packetprotocol_private.pri
%{_qt6_datadir}/modules/PacketProtocolPrivate.json
%{_qt6_libdir}/metatypes/qt6packetprotocolprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtqmlcompiler_d}
Summary:        Devel files needed to build apps based on QtQmlCompiler
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtqmlcompiler} = %{version}-%{release}
Provides:       libqt6qmlcompiler-devel = %{version}-%{release}
Provides:       libqtqmlcompiler6-devel = %{version}-%{release}
Provides:       qt6qmlcompiler-devel = %{version}-%{release}
Provides:       qtqmlcompiler6-devel = %{version}-%{release}
Obsoletes:      %{_lib}qt6qmlcompiler-static-devel < 6.4.0-2

%description -n %{libqtqmlcompiler_d}
Devel files needed to build apps based on QtQmlCompiler.

%files -n %{libqtqmlcompiler_d}
%{_qt6_libdir}/libQt6QmlCompiler.so
%{_qt6_libdir}/libQt6QmlCompiler.prl
%{_qt6_libdir}/cmake/Qt6QmlCompilerPrivate/
%{_qt6_includedir}/QtQmlCompiler/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlcompiler_private.pri
%{_qt6_datadir}/modules/QmlCompilerPrivate.json
%{_qt6_libdir}/metatypes/qt6qmlcompilerprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtqmldom_ds}
Summary:        Devel files needed to build apps based on QtQmlDom
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6qmldom-static-devel = %{version}-%{release}
Provides:       libqtqmldom6-static-devel = %{version}-%{release}
Provides:       qt6qmldom-static-devel = %{version}-%{release}
Provides:       qtqmldom6-static-devel = %{version}-%{release}

%description -n %{libqtqmldom_ds}
Devel files needed to build apps based on QtQmlDom.

%files -n %{libqtqmldom_ds}
%{_qt6_libdir}/libQt6QmlDom.prl
%{_qt6_libdir}/libQt6QmlDom.a
%{_qt6_libdir}/cmake/Qt6QmlDomPrivate/
%{_qt6_includedir}/QtQmlDom/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmldom_private.pri
%{_qt6_datadir}/modules/QmlDomPrivate.json
%{_qt6_libdir}/metatypes/qt6qmldomprivate_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2}
Summary:        Qt%{qtmajor} QuickTemplates2 Library
Group:          System/Libraries

%description -n %{libqtquicktemplates2}
Qt%{qtmajor} QuickTemplates2 Component Library.

%files -n %{libqtquicktemplates2}
%{_qt6_libdir}/libQt6QuickTemplates2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2_d}
Summary:        Devel files needed to build apps based on QtQuickTemplates2
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquicktemplates2} = %{version}-%{release}
Provides:       libqt6quicktemplates2-devel = %{version}-%{release}
Provides:       libquicktemplates2_6-devel = %{version}-%{release}
Provides:       qt6quicktemplates2-devel = %{version}-%{release}
Provides:       quicktemplates2_6-devel = %{version}-%{release}

Provides:       libqt6quicktemplates2-private-devel = %{version}-%{release}
Provides:       libquicktemplates2_6-private-devel = %{version}-%{release}
Provides:       qt6quicktemplates2-private-devel = %{version}-%{release}
Provides:       quicktemplates2_6-private-devel = %{version}-%{release}

%description -n %{libqtquicktemplates2_d}
Devel files needed to build apps based on QtQuickTemplates2.

%files -n %{libqtquicktemplates2_d}
%{_qt6_libdir}/libQt6QuickTemplates2.prl
%{_qt6_libdir}/libQt6QuickTemplates2.so
%{_qt6_libdir}/metatypes/qt6quicktemplates2_relwithdebinfo_metatypes.json
%{_qt6_libdir}/cmake/Qt6QuickTemplates2/
%{_qt6_includedir}/QtQuickTemplates2/
%{_qt6_datadir}/modules/QuickTemplates2.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktemplates2.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktemplates2_private.pri
%{_qt6_libdir}/pkgconfig/Qt6QuickTemplates2.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2impl}
Summary:        Qt%{qtmajor} QuickControls2Impl Library
Group:          System/Libraries

%description -n %{libqtquickcontrols2impl}
Qt%{qtmajor} QuickControls2Impl Component Library.

%files -n %{libqtquickcontrols2impl}
%{_qt6_libdir}/libQt6QuickControls2Impl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2impl_d}
Summary:        Devel files needed to build apps based on QtQuickControls2Impl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickcontrols2impl} = %{version}-%{release}
Provides:       libqt6quickcontrols2impl-devel = %{version}-%{release}
Provides:       libqtquickcontrols2impl6-devel = %{version}-%{release}
Provides:       qt6quickcontrols2impl-devel = %{version}-%{release}
Provides:       qtquickcontrols2impl6-devel = %{version}-%{release}

Provides:       libqt6quickcontrols2impl-private-devel = %{version}-%{release}
Provides:       libqtquickcontrols2impl6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrols2impl-private-devel = %{version}-%{release}
Provides:       qtquickcontrols2impl6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrols2impl_d}
Devel files needed to build apps based on QtQuickControls2Impl.

%files -n %{libqtquickcontrols2impl_d}
%{_qt6_includedir}/QtQuickControls2Impl/
%{_qt6_libdir}/libQt6QuickControls2Impl.prl
%{_qt6_libdir}/libQt6QuickControls2Impl.so
%{_qt6_libdir}/cmake/Qt6QuickControls2Impl/
%{_qt6_datadir}/modules/QuickControls2Impl.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2impl.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2impl_private.pri
%{_qt6_libdir}/metatypes/qt6quickcontrols2impl_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QuickControls2Impl.pc

#------------------------------------------------------------------------------
 
%package -n %{libqtquickdialogs2}
Summary:        Qt%{qtmajor} QuickDialogs2 Library
Group:          System/Libraries

%description -n %{libqtquickdialogs2}
Qt%{qtmajor} QuickDialogs2 Component Library.

%files -n %{libqtquickdialogs2}
%{_qt6_libdir}/libQt6QuickDialogs2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2_d}
Summary:        Devel files needed to build apps based on QuickDialogs2
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickdialogs2} = %{version}-%{release}
Provides:       libqt6quickdialogs2-devel = %{version}-%{release}
Provides:       libqtquickdialogs26-devel = %{version}-%{release}
Provides:       qt6quickdialogs2-devel = %{version}-%{release}
Provides:       qtquickdialogs26-devel = %{version}-%{release}

Provides:       libqt6quickdialogs2-private-devel = %{version}-%{release}
Provides:       libqtquickdialogs26-private-devel = %{version}-%{release}
Provides:       qt6quickdialogs2-private-devel = %{version}-%{release}
Provides:       qtquickdialogs26-private-devel = %{version}-%{release}

%description -n %{libqtquickdialogs2_d}
Devel files needed to build apps based on QuickDialogs2.

%files -n %{libqtquickdialogs2_d}
%{_qt6_libdir}/libQt6QuickDialogs2.so
%{_qt6_libdir}/libQt6QuickDialogs2.prl
%{_qt6_includedir}/QtQuickDialogs2/
%{_qt6_libdir}/cmake/Qt6QuickDialogs2/
%{_qt6_libdir}/metatypes/qt6quickdialogs2_relwithdebinfo_metatypes.json
%{_qt6_datadir}/modules/QuickDialogs2.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2_private.pri
%{_qt6_libdir}/pkgconfig/Qt6QuickDialogs2.pc

#------------------------------------------------------------------------------
 
%package -n %{libqtquickdialogs2quickimpl}
Summary:        Qt%{qtmajor} QuickDialogs2QuickImpl Library
Group:          System/Libraries

%description -n %{libqtquickdialogs2quickimpl}
Qt%{qtmajor} QuickDialogs2QuickImpl Component Library.

%files -n %{libqtquickdialogs2quickimpl}
%{_qt6_libdir}/libQt6QuickDialogs2QuickImpl.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2quickimpl_d}
Summary:        Devel files needed to build apps based on QtQuickDialogs2QuickImpl
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickdialogs2quickimpl} = %{version}-%{release}
Provides:       libqt6quickdialogs2quickimpl-devel = %{version}-%{release}
Provides:       libqtquickdialogs2quickimpl6-devel = %{version}-%{release}
Provides:       qt6quickdialogs2quickimpl-devel = %{version}-%{release}
Provides:       qtquickdialogs2quickimpl6-devel = %{version}-%{release}

Provides:       libqt6quickdialogs2quickimpl-private-devel = %{version}-%{release}
Provides:       libqtquickdialogs2quickimpl6-private-devel = %{version}-%{release}
Provides:       qt6quickdialogs2quickimpl-private-devel = %{version}-%{release}
Provides:       qtquickdialogs2quickimpl6-private-devel = %{version}-%{release}

%description -n %{libqtquickdialogs2quickimpl_d}
Devel files needed to build apps based on QtQuickDialogs2QuickImpl.

%files -n %{libqtquickdialogs2quickimpl_d}
%{_qt6_includedir}/QtQuickDialogs2QuickImpl/
%{_qt6_libdir}/libQt6QuickDialogs2QuickImpl.prl
%{_qt6_libdir}/libQt6QuickDialogs2QuickImpl.so
%{_qt6_libdir}/cmake/Qt6QuickDialogs2QuickImpl/
%{_qt6_datadir}/modules/QuickDialogs2QuickImpl.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2quickimpl.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2quickimpl_private.pri
%{_qt6_libdir}/metatypes/qt6quickdialogs2quickimpl_relwithdebinfo_metatypes.json
%{_qt6_libdir}/pkgconfig/Qt6QuickDialogs2QuickImpl.pc

#------------------------------------------------------------------------------

%package -n %{libqtqmlintegration_d}
Summary:        Devel files needed to build apps based on QtQmlIntegration
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6qmlintegration-devel = %{version}-%{release}
Provides:       libqtqmlintegration6-devel = %{version}-%{release}
Provides:       qt6qmlintegration-devel = %{version}-%{release}
Provides:       qtqmlintegration6-devel = %{version}-%{release}

Provides:       libqt6qmlintegration-private-devel = %{version}-%{release}
Provides:       libqtqmlintegration6-private-devel = %{version}-%{release}
Provides:       qt6qmlintegration-private-devel = %{version}-%{release}
Provides:       qtqmlintegration6-private-devel = %{version}-%{release}

%description -n %{libqtqmlintegration_d}
Devel files needed to build apps based on QtQmlIntegration.

%files -n %{libqtqmlintegration_d}
%{_qt6_includedir}/QtQmlIntegration/
%{_qt6_libdir}/cmake/Qt6QmlIntegration/
%{_qt6_datadir}/modules/QmlIntegration.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlintegration.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmlintegration_private.pri
%{_qt6_libdir}/pkgconfig/Qt6QmlIntegration.pc

#------------------------------------------------------------------------------

%if 0
%package -n %{libqtqmllint_d}
Summary:        Devel files needed to build apps based on QtQmlLint
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6qmllint-devel = %{version}-%{release}
Provides:       libqtqmllint6-devel = %{version}-%{release}
Provides:       qt6qmllint-devel = %{version}-%{release}
Provides:       qtqmllint6-devel = %{version}-%{release}

Provides:       libqt6qmllint-private-devel = %{version}-%{release}
Provides:       libqtqmllint6-private-devel = %{version}-%{release}
Provides:       qt6qmllint-private-devel = %{version}-%{release}
Provides:       qtqmllint6-private-devel = %{version}-%{release}

%description -n %{libqtqmllint_d}
Devel files needed to build apps based on QtQmlLint.

%files -n %{libqtqmllint_d}
%{_qt6_libdir}/libQt6QmlLint.prl
%{_qt6_includedir}/QtQmlLint/
%{_qt6_libdir}/cmake/Qt6QmlLintPrivate/
%{_qt6_datadir}/modules/QmlLintPrivate.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_qmllint_private.pri
%{_qt6_libdir}/metatypes/qt6qmllintprivate_relwithdebinfo_metatypes.json
%endif

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2utils}
Summary:        Qt%{qtmajor} QuickDialogs2Utils Library
Group:          System/Libraries

%description -n %{libqtquickdialogs2utils}
Qt%{qtmajor} QuickDialogs2Utils Component Library.

%files -n %{libqtquickdialogs2utils}
%{_qt6_libdir}/libQt6QuickDialogs2Utils.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickdialogs2utils_d}
Summary:        Devel files needed to build apps based on QtQuickDialogs2Utils
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtquickdialogs2utils} = %{version}-%{release}
Provides:       libqt6quickdialogs2utils-devel = %{version}-%{release}
Provides:       libqtquickdialogs2utils6-devel = %{version}-%{release}
Provides:       qt6quickdialogs2utils-devel = %{version}-%{release}
Provides:       qtquickdialogs2utils6-devel = %{version}-%{release}

Provides:       libqt6quickdialogs2utils-private-devel = %{version}-%{release}
Provides:       libqtquickdialogs2utils6-private-devel = %{version}-%{release}
Provides:       qt6quickdialogs2utils-private-devel = %{version}-%{release}
Provides:       qtquickdialogs2utils6-private-devel = %{version}-%{release}

%description -n %{libqtquickdialogs2utils_d}
Devel files needed to build apps based on QtQuickDialogs2Utils.

%files -n %{libqtquickdialogs2utils_d}
%{_qt6_includedir}/QtQuickDialogs2Utils/
%{_qt6_libdir}/cmake/Qt6QuickDialogs2Utils/
%{_qt6_libdir}/libQt6QuickDialogs2Utils.prl
%{_qt6_libdir}/libQt6QuickDialogs2Utils.so
%{_qt6_libdir}/metatypes/qt6quickdialogs2utils_relwithdebinfo_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2utils.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickdialogs2utils_private.pri
%{_qt6_datadir}/modules/QuickDialogs2Utils.json
%{_qt6_libdir}/pkgconfig/Qt6QuickDialogs2Utils.pc

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrolstestutils_ds}
Summary:        Devel files needed to build apps based on QuickControlsTestUtils
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6quickcontrolstestutils-devel = %{version}-%{release}
Provides:       libqtquickcontrolstestutils6-devel = %{version}-%{release}
Provides:       qt6quickcontrolstestutils-devel = %{version}-%{release}
Provides:       qtquickcontrolstestutils6-devel = %{version}-%{release}

Provides:       libqt6quickcontrolstestutils-private-devel = %{version}-%{release}
Provides:       libqtquickcontrolstestutils6-private-devel = %{version}-%{release}
Provides:       qt6quickcontrolstestutils-private-devel = %{version}-%{release}
Provides:       qtquickcontrolstestutils6-private-devel = %{version}-%{release}

%description -n %{libqtquickcontrolstestutils_ds}
Devel files needed to build apps based on QtQuickControlsTestUtils.

%files -n %{libqtquickcontrolstestutils_ds}
%{_qt6_includedir}/QtQuickControlsTestUtils/
%{_qt6_libdir}/cmake/Qt6QuickControlsTestUtilsPrivate/
%{_qt6_libdir}/libQt6QuickControlsTestUtils.a
%{_qt6_libdir}/libQt6QuickControlsTestUtils.prl
%{_qt6_libdir}/metatypes/qt6quickcontrolstestutilsprivate_relwithdebinfo_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quickcontrolstestutilsprivate_private.pri
%{_qt6_datadir}/modules/QuickControlsTestUtilsPrivate.json

#------------------------------------------------------------------------------

%package -n %{libqtquicktestutils_ds}
Summary:        Devel files needed to build apps based on QtQuickTestUtils
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       libqt6quicktestutils-devel = %{version}-%{release}
Provides:       libqtquicktestutils6-devel = %{version}-%{release}
Provides:       qt6quicktestutils-devel = %{version}-%{release}
Provides:       qtquicktestutils6-devel = %{version}-%{release}

Provides:       libqt6quicktestutils-private-devel = %{version}-%{release}
Provides:       libqtquicktestutils6-private-devel = %{version}-%{release}
Provides:       qt6quicktestutils-private-devel = %{version}-%{release}
Provides:       qtquicktestutils6-private-devel = %{version}-%{release}

%description -n %{libqtquicktestutils_ds}
Devel files needed to build apps based on QtQuickTestUtils.

%files -n %{libqtquicktestutils_ds}
%{_qt6_libdir}/libQt6QuickTestUtils.a
%{_qt6_libdir}/libQt6QuickTestUtils.prl
%{_qt6_includedir}/QtQuickTestUtils/
%{_qt6_libdir}/cmake/Qt6QuickTestUtilsPrivate/
%{_qt6_libdir}/metatypes/qt6quicktestutilsprivate_relwithdebinfo_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_quicktestutilsprivate_private.pri
%{_qt6_datadir}/modules/QuickTestUtilsPrivate.json

#------------------------------------------------------------------------------

%prep
%setup -q -n qtdeclarative-everywhere-src-%{qtversion}
%autopatch -p1

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

rm -f %{buildroot}%{_qt6_libdir}/metatypes/qt6chartsplugin_relwithdebinfo_metatypes.json
rm -rf %{buildroot}%{_qt6_libdir}/objects-RelWithDebInfo/QmlCompilerPrivate_resources_1/.rcc/qrc_builtins.cpp.o
rm -rf %{buildroot}%{_qt6_archdatadir}/qml/Qt/test/controls/objects-RelWithDebInfo/QuickControlsTestUtilsPrivate_resources_1/.rcc/qrc_qmake_Qt_test_controls.cpp.o


%changelog
* Sat Dec 24 2022 daviddavid <daviddavid> 6.4.1-4.mga9
+ Revision: 1926360
- enable qmlls tool support

* Fri Dec 16 2022 daviddavid <daviddavid> 6.4.1-3.mga9
+ Revision: 1923651
- non bootstrap build

* Fri Dec 16 2022 daviddavid <daviddavid> 6.4.1-2.mga9
+ Revision: 1923514
- move '/qml/Qt/test/controls/' files into the main pkg

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923495
- New version 6.4.1
+ wally <wally>
- fix qt6qmlcompiler devel pkg name

* Tue Oct 04 2022 squidf <squidf> 6.4.0-1.mga9
+ Revision: 1894637
- Update patch
+ neoclust <neoclust>
- New version 6.4.0

* Sun Aug 28 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1881462
- New version 6.3.1

* Mon Aug 01 2022 wally <wally> 6.3.0-3.mga9
+ Revision: 1874189
- really disable examples

* Sun Jul 31 2022 wally <wally> 6.3.0-2.mga9
+ Revision: 1874062
- disable examples as they needs pkg itself to build
- make qml-devel to require qmlintegration-devel

* Tue May 03 2022 neoclust <neoclust> 6.3.0-1.mga9
+ Revision: 1855559
- New version 6.3.0
+ papoteur <papoteur>
- fix file list
- fix build QTBUG-102598

* Mon Apr 04 2022 umeabot <umeabot> 6.2.3-2.mga9
+ Revision: 1843834
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1782404
- New version 6.2.3

* Mon Nov 15 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756645
- New version 6.2.1

* Fri Nov 12 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1755955
- New version 6.2.0

* Fri May 14 2021 daviddavid <daviddavid> 6.1.0-2.mga9
+ Revision: 1722816
- rebuild with fixed cmake-rpm-macros

* Thu May 13 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1722672
- initial package qtdeclarative6

